curl --request POST \
--url 'https://api.voice.stateset.com/api/v1/callback-tasks/{id}/claim' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"operator": "string"
}'
{
"acknowledged_at": "2024-01-15T10:40:00Z",
"acknowledged_by": "tier2@stateset.com",
"agent_name": "Support Agent",
"assigned_to": "tier2@stateset.com",
"call_sid": "CA1234567890abcdef1234567890abcdef",
"claimed_at": "2024-01-15T10:33:15Z",
"completed_at": "2024-01-15T10:45:00Z",
"created_at": "2024-01-15T10:30:00Z",
"created_by": "dashboard",
"customer_phone": "+15555555678",
"dispatch_attempt_count": 1,
"disposition": "human_follow_up_required",
"due_at": "2024-01-15T18:00:00Z",
"id": "550e8400-e29b-41d4-a716-446655440000",
"last_dispatch_attempted_at": "2024-01-15T10:47:00Z",
"last_dispatch_call_sid": "CA9876543210abcdef9876543210abcdef",
"last_dispatch_status": "initiated",
"last_sla_alert_due_at": "2024-01-15T10:45:00Z",
"last_sla_alerted_at": "2024-01-15T10:46:10Z",
"metadata": null,
"notes": "Reach out after carrier update is confirmed.",
"priority": 10,
"queue_key": "escalations",
"sla_due_at": "2024-01-15T10:45:00Z",
"snooze_reason": "Waiting on carrier escalation before calling customer back.",
"snoozed_until": "2024-01-15T12:00:00Z",
"status": "open",
"stream_sid": "MZ1234567890abcdef1234567890abcdef",
"summary": "Customer requested a human follow-up about a delayed shipment.",
"tenant_id": "tenant-123",
"updated_at": "2024-01-15T10:32:22Z"
}
Claim Callback Task
Tenant or admin workflow endpoint for operator queues, callback tasks, supervisor actions, and follow-up processing.
POST
/
api
/
v1
/
callback-tasks
/
{id}
/
claim
curl --request POST \
--url 'https://api.voice.stateset.com/api/v1/callback-tasks/{id}/claim' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"operator": "string"
}'
{
"acknowledged_at": "2024-01-15T10:40:00Z",
"acknowledged_by": "tier2@stateset.com",
"agent_name": "Support Agent",
"assigned_to": "tier2@stateset.com",
"call_sid": "CA1234567890abcdef1234567890abcdef",
"claimed_at": "2024-01-15T10:33:15Z",
"completed_at": "2024-01-15T10:45:00Z",
"created_at": "2024-01-15T10:30:00Z",
"created_by": "dashboard",
"customer_phone": "+15555555678",
"dispatch_attempt_count": 1,
"disposition": "human_follow_up_required",
"due_at": "2024-01-15T18:00:00Z",
"id": "550e8400-e29b-41d4-a716-446655440000",
"last_dispatch_attempted_at": "2024-01-15T10:47:00Z",
"last_dispatch_call_sid": "CA9876543210abcdef9876543210abcdef",
"last_dispatch_status": "initiated",
"last_sla_alert_due_at": "2024-01-15T10:45:00Z",
"last_sla_alerted_at": "2024-01-15T10:46:10Z",
"metadata": null,
"notes": "Reach out after carrier update is confirmed.",
"priority": 10,
"queue_key": "escalations",
"sla_due_at": "2024-01-15T10:45:00Z",
"snooze_reason": "Waiting on carrier escalation before calling customer back.",
"snoozed_until": "2024-01-15T12:00:00Z",
"status": "open",
"stream_sid": "MZ1234567890abcdef1234567890abcdef",
"summary": "Customer requested a human follow-up about a delayed shipment.",
"tenant_id": "tenant-123",
"updated_at": "2024-01-15T10:32:22Z"
}
Tenant or admin workflow endpoint for operator queues, callback tasks, supervisor actions, and follow-up processing.
Path parameters
string (uuid)
required
Callback task UUID
Request body
ClaimCallbackTaskRequest
string
required
Response
CallbackTask
string
required
string,null
string,null
string,null
string,null
string
required
string
required
string
required
string,null
string,null
integer (int32)
required
CallbackDisposition
required
string
required
string
required
string
required
string,null
string,null
string
required
string
required
any
required
string,null
integer (int32)
required
string,null
string
required
string,null
string
required
CallbackTaskStatus
required
string,null
string,null
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | Callback task claimed |
400 | Validation error |
401 | Unauthorized |
404 | Callback task not found |
500 | Internal server error |
503 | Database not configured |
curl --request POST \
--url 'https://api.voice.stateset.com/api/v1/callback-tasks/{id}/claim' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"operator": "string"
}'
{
"acknowledged_at": "2024-01-15T10:40:00Z",
"acknowledged_by": "tier2@stateset.com",
"agent_name": "Support Agent",
"assigned_to": "tier2@stateset.com",
"call_sid": "CA1234567890abcdef1234567890abcdef",
"claimed_at": "2024-01-15T10:33:15Z",
"completed_at": "2024-01-15T10:45:00Z",
"created_at": "2024-01-15T10:30:00Z",
"created_by": "dashboard",
"customer_phone": "+15555555678",
"dispatch_attempt_count": 1,
"disposition": "human_follow_up_required",
"due_at": "2024-01-15T18:00:00Z",
"id": "550e8400-e29b-41d4-a716-446655440000",
"last_dispatch_attempted_at": "2024-01-15T10:47:00Z",
"last_dispatch_call_sid": "CA9876543210abcdef9876543210abcdef",
"last_dispatch_status": "initiated",
"last_sla_alert_due_at": "2024-01-15T10:45:00Z",
"last_sla_alerted_at": "2024-01-15T10:46:10Z",
"metadata": null,
"notes": "Reach out after carrier update is confirmed.",
"priority": 10,
"queue_key": "escalations",
"sla_due_at": "2024-01-15T10:45:00Z",
"snooze_reason": "Waiting on carrier escalation before calling customer back.",
"snoozed_until": "2024-01-15T12:00:00Z",
"status": "open",
"stream_sid": "MZ1234567890abcdef1234567890abcdef",
"summary": "Customer requested a human follow-up about a delayed shipment.",
"tenant_id": "tenant-123",
"updated_at": "2024-01-15T10:32:22Z"
}
Last modified on August 31, 2026